/**
 * Bootstrap the app.
 */

// - Reset
%bootstrap-reset {
    @import 'mixins/reboot';
    @import '~bootstrap/scss/_root.scss';
}

@if $global-bootstrap == true and $bootstrap-reset == true {
    :root {
        @extend %bootstrap-reset;
    }
}


// - Typography
// @TODO - https://medium.com/codyhouse/create-your-design-system-part-1-typography-7c630d9092bd
%bootstrap-typography {
    // load fonts
    @if length($font-faces) > 0 {
        @include loadFonts($font-faces);
    }

    @import 'bootstrap/typography';
}

@if $global-bootstrap == true and $bootstrap-typography == true {
    :root {
        @extend %bootstrap-typography;
    }
}


// - Forms
// @TODO - see https://github.com/negomi/sassy-inputs
%bootstrap-forms {
    @import 'bootstrap/forms';
}

@if $global-bootstrap == true and $bootstrap-forms == true {
    :root {
        @extend %bootstrap-forms;
    }
}
